<?


include 'connect.php';


if(!$u['id']){
header ("Location: index.php");
exit;
}

switch($_GET['act'])
{
//Создание категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add_cat':
if ($u['admin'] == 1){
$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php">К категориям</a> | <b>Создание категории</b>';
echo '</div>';
echo '<div class="main_menu">';
if (isset($_POST['submit']) and $_POST['name']) {
$name = check(substr($_POST['name'], 0, 100));
mysql_query("INSERT INTO `gifts_cat` SET
`name` = '$name',
`ord` = '0'
");
$id = mysql_insert_id();
$name = checkout(substr($_POST['name'], 0, 100));
echo '<div class = "action">Категория <a href = "gifts.php?act=cat&id='.$id.'"><b>'.$name.'</b></a> успешно создана!</div>';
} else {
//Блоки ввода
echo '<form action=gifts.php?act=add_cat method=post>
Название: <br/><input type=text name=name maxlength=50><br/>
<input type=submit name="submit" value=Создать class=submit white/ ></form>';
}
echo '</div>';
include 'foot.php';
}
break;

//Редактирование категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit_cat':
if ($u['admin'] == 1){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_cat` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $cat = mysql_fetch_assoc($req);
   }
}
if($cat){
$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php">К категориям</a> | <b>Редактирование категории</b>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit']) and $_POST['name']) {
      $name = check(substr($_POST['name'], 0, 100));
      mysql_query("UPDATE `gifts_cat` SET
      `name` = '$name'
      WHERE `id` = '$id'
      ");
      echo '<div class = "action">Изменения сохранены!</div>';
      } else {
      $name = checkout($cat['name']);
      echo '<form action="gifts.php?act=edit_cat&amp;id='.$id.'" method="post">';
      echo '<textarea cols="20" rows="1" name="name">'.$name.'</textarea><br/>';
      echo '<input type="submit" name="submit" value="Сохранить" class="submit white"/>';
      echo '</form>';
      }
echo '</div>';
include 'foot.php';
}
}
break;

//Удаление категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete_cat':
if ($u['admin'] == 1){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_cat` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $cat = mysql_fetch_assoc($req);
   }
}
if($cat){
$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php">К категориям</a> | <b>Удаление категории</b>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit'])) {
	  $result =mysql_query("SELECT `id` FROM `gifts_list` WHERE `cat` = '".$cat['id']."'");
      while ($row = mysql_fetch_assoc($result)) {
      unlink('gifts/'.$row['id'].'.gif');
	  mysql_query("DELETE FROM `gifts_users` WHERE `gift` = '".$row['id']."'");
      }
	  mysql_query("DELETE FROM `gifts_cat` WHERE `id` = '".$cat['id']."'");
      echo '<div class = "action">Категория успешно удалена!</div>';
      } else {
      $name = checkout($cat['name']);
	  echo 'Вы уверены, что хотите удалить категорию <a href = "gifts.php?act=cat&id='.$id.'">'.$name.'</a> и все находящиеся в ней подарки?<br/>';
      echo '<form action="gifts.php?act=delete_cat&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" value="Да, удалить" class="submit white"/>';
      echo '</form></div>';
      }
echo '</div>';
include 'foot.php';
}
}
break;

//Добавление подарка ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'add_gift':
if ($u['admin'] == 1){
$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php">К категориям</a> | <b>Добавление подарка</b>';
echo '</div>';
echo '<div class="main_menu">';

//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_cat` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $cat = mysql_fetch_assoc($req);
   }
}
//Если существует
if ($cat){
$name_cat = checkout($cat['name']);
if (isset($_POST['submit']) and $_FILES['image']['tmp_name'] and $_POST['price']) {
$price = check($_POST['price']);
//Подходит ли формат
if ($_FILES['image']['type'] == 'image/gif') {
   //Подходит ли размер: ширина, высота
   $info_smile = getimagesize($_FILES['image']['tmp_name']); 
   if ($info_smile[0]<=150 && $info_smile[1]<=150) {
      //Если все норм записываем в базу перемещаем файл
      mysql_query("INSERT INTO `gifts_list` SET
      `price` = '$price',
      `cat` = '".$cat['id']."'
      ");
	  $id = mysql_insert_id();
      //Создаем папку smiles если она еще не создана
      @mkdir("gifts", 0777);
      $name = ''.$id.'.gif';
	  $create=imagecreatefromgif($_FILES['image']['tmp_name']);
      move_uploaded_file($_FILES['image']['tmp_name'],"gifts/".$name);
	  
	  
	  $img = imageCreateTrueColor(50, 50);
	  $black = imageColorAllocate ($img, 0, 0, 0); 
      imageColorTransparent($img, $black);
	  //Уменьшаем исходное изображение
      imagecopyresampled($img,$create,0,0,0,0,50,50,$info_smile[0],$info_smile[1]);
	  
	  
   
      //Путь для сохранения
      $dir = 'small_gifts/'.$name.'';
      imagegif($img,$dir);

   echo '<div class = "action">Подарок успешно загружен в категорию <a href = "gifts.php?act=cat&id='.$cat['id'].'"><b>'.$name_cat.'</b></a>!</div>';
   } else {
   echo '<div class = "action">Запрещенный размер! Разрешено до 150х150!</div>';
   }
} else {
echo '<div class = "action">Запрещенный формат! Разрешен только gif!</div>';
}
} else {
//Блоки ввода
echo '<form action=gifts.php?act=add_gift&id='.$cat['id'].' method=post enctype=multipart/form-data>
Картинка (Только .gif; не более 150x150): <br/><input type = file name = image SIZE = 15><br/>
Цена: <br/>
<input type = text name = price maxlength=5 size = "10"><br/>
<input type = submit name="submit" value = Загрузить  class = submit white/></form>';
}

} else { 
echo '<div class = "action">Категории не существует!</div>';
}
echo '</div>';
include 'foot.php';
}
break;

//Удаление подарка из магазина~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete_gift_list':

if ($u['admin'] == 1){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_list` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $gift = mysql_fetch_assoc($req);
   }
}

if($gift){

$cat = mysql_fetch_assoc(mysql_query("SELECT * FROM `gifts_cat` WHERE `id` = '".$gift['cat']."' LIMIT 1"));
$name_cat = checkout($cat['name']);

$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php?iduser='.$iduser.'">К категориям</a> | <a href = "gifts.php?act=cat&id='.$cat['id'].'">'.$name_cat.'</a>| <b>Удаление подарка</b>';
echo '</div>';
echo '<div class="main_menu">';
      if (isset($_POST['submit'])) {
	  mysql_query("DELETE FROM `gifts_list` WHERE `id` = '$id'");
	  mysql_query("DELETE FROM `gifts_users` WHERE `gift` = '$id'");
	  unlink('gifts/'.$gift['id'].'.gif');
	  unlink('small_gifts/'.$gift['id'].'.gif');
      echo '<div class = "action">Подарок удален!</div>';
      } else {
      echo '<img src = "gifts/'.$gift['id'].'.gif" width = "50"><br/>';
	  echo 'Удалить подарок?<br/>';
      echo '<form action="gifts.php?act=delete_gift_list&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" value="Да, удалить" class="submit white"/>';
      echo '</form></div>';
      }
echo '</div>';
include 'foot.php';
} else {
header ("Location: index.php");
}
}

break;

//Редактирование подарка~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'edit_gift':

if ($u['admin'] == 1){
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_list` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $gift = mysql_fetch_assoc($req);
   }
}

if($gift){

$cat = mysql_fetch_assoc(mysql_query("SELECT * FROM `gifts_cat` WHERE `id` = '".$gift['cat']."' LIMIT 1"));
$name_cat = checkout($cat['name']);

$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php?iduser='.$iduser.'">К категориям</a> | <a href = "gifts.php?act=cat&id='.$cat['id'].'">'.$name_cat.'</a>| <b>Редактирование подарка</b>';
echo '</div>';
echo '<div class="main_menu">';
if (isset($_POST['submit']) and $_POST['price']) {
      $price = num($_POST['price']);
      mysql_query("UPDATE `gifts_list` SET
      `price` = '$price'
      WHERE `id` = '$id'
      ");
      echo '<div class = "action">Изменения сохранены!</div>';
      } else {
      echo '<img src = "gifts/'.$gift['id'].'.gif" width = "50"><br/>';
      echo '<form action="gifts.php?act=edit_gift&amp;id='.$id.'" method="post">';
      echo 'Цена: <br/>
      <input type = text name = price maxlength=5 size = "10" value = "'.$gift['price'].'"><br/>';
      echo '<input type="submit" name="submit" value="Сохранить" class="submit white"/>';
      echo '</form>';
      }
echo '</div>';
include 'foot.php';
} else {
header ("Location: index.php");
}
}

break;

//Удаление подарка ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'delete_gift':

if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $gift = mysql_fetch_assoc($req);
   }
}

if($gift){

$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$gift['user']."' LIMIT 1"));
$outuser = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$gift['outuser']."' LIMIT 1"));

if($user['id'] == $u['id']) $zag = 'Мои подарки';
else $zag = 'Подарки <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> '.$zag.'</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php?act=list&id='.$user['id'].'">'.$zag.'</a>';
echo '</div>';
echo '<div class="main_menu">';
if ($u['admin'] == 1 || $u['admin'] == 2 || $gift['user'] == $u['id']) {
      if (isset($_POST['submit'])) {
	  mysql_query("DELETE FROM `gifts_users` WHERE `id` = '$id'");
      echo '<div class = "action">Подарок удален!</div>';
      } else {
      echo '<a href = "gifts.php?act=view&id='.$gift['id'].'"><img src = "gifts/'.$gift['gift'].'.gif" width = "50"></a><br/>';
	  echo 'Удалить подарок?<br/>';
      echo '<form action="gifts.php?act=delete_gift&amp;id='.$id.'" method="post">';
      echo '<input type="submit" name="submit" value="Да, удалить" class="submit white"/>';
      echo '</form></div>';
      }
} else {
echo '<div class = "action">Нет доступа!</div>';
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: index.php");
}

break;

//Просмотр подаренного подарка ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'view':
//Если id получен
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $gift = mysql_fetch_assoc($req);
   }
}

if($gift){

$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$gift['user']."' LIMIT 1"));
$outuser = mysql_fetch_assoc(mysql_query("SELECT * FROM `users` WHERE `id` = '".$gift['outuser']."' LIMIT 1"));

if($user['id'] == $u['id']) $zag = 'Мои подарки';
else $zag = 'Подарки <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> '.$zag.'</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php?act=list&id='.$user['id'].'">'.$zag.'</a>';
echo '</div>';
echo '<div class="main_menu">';
$message = checkout($gift['message']);	  
echo '<table>
  <tr>
    <td>';
	echo '<br/><img src = "gifts/'.$gift['gift'].'.gif" width = "70"><br/>';
	echo '</td>
	<td VALIGN=top>';
	echo ''.ico($outuser['sex'],$outuser['admin']).' <a href = "page.php?id='.$outuser['id'].'">'.$outuser['login'].'</a> '.online($outuser['online']).'';
if ($u['admin'] == 1 || $u['admin'] == 2 || $gift['user'] == $u['id']) { echo ' | <img src = "img/cross_r.gif"> <a href = "gifts.php?act=delete_gift&id='.$gift['id'].'">Удалить</a>'; }
	echo '<br/><font color = "#000"></br>';
	smiles($message);	  
	 
	  echo '</br></br><img src = "img/time.png"> '.vremya($gift['time']).'<br>';
	  echo '</font><br/>';
	echo '</td>
  </tr>
</table>';

echo '</div>';
include 'foot.php';
} else {
header ("Location: index.php");
}

break;


//Список подарков пользователя ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'list':
//Если id получен
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   }
}

//Если никто не выбрался
if(empty($user['id'])){
   if($u['id']){
   $req = mysql_query("SELECT * FROM `users` WHERE `id` = '".$u['id']."' LIMIT 1");
   $user = mysql_fetch_assoc($req);
   } else {
   header ("Location: index.php");
   exit;
   }
}

if($id == $u['id']) $zag = 'Мои подарки';
else $zag = 'Подарки <a href = "page.php?id='.$user['id'].'">'.$user['login'].'</a>';

$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> '.$zag.'</div>';

echo '<div class="main_menu">';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `gifts_users` WHERE `user` = '".$user['id']."'"), 0);
if($all > 0){
$total = intval(($all - 1) / 15) + 1;
$page = num($_GET['page']);
if(empty($page) or $page < 0) $page = 1; 
if($page > $total) $page = $total;
$start = $page * 15 - 15;
$result = mysql_query("SELECT * FROM `gifts_users` WHERE `user` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, 15");
   while($gift = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
      echo '<table>
      <tr>
      <td>';
	  echo '<a href = "gifts.php?act=view&id='.$gift['id'].'"><img src = "gifts/'.$gift['gift'].'.gif" width = "50"></a>';
	  echo '</td>
	  <td VALIGN=top>';
	  echo '<img src = "img/gifts.gif"> <a href = "gifts.php?act=view&id='.$gift['id'].'">Посмотреть</a>';
	  echo '<br/>';
	  echo '<img src = "img/time.png"> '.vremya($gift['time']).'';
	  echo '</td>
      </tr>
      </table>';
	  echo '<hr>';
      echo '</div>';
	  $i++;
   } 
   navigation($page, $total,'gifts.php?act=list&id='.$user['id'].'&');
}else{
echo 'Подарков пока нет!';
}
echo '</div>';
include 'foot.php';
break;

//Дарим подарок ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'ok':
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_list` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $gift = mysql_fetch_assoc($req);
   }
}
//Если существует
if ($gift){
$cat = mysql_fetch_assoc(mysql_query("SELECT * FROM `gifts_cat` WHERE `id` = '".$gift['cat']."' LIMIT 1"));
$name_cat = checkout($cat['name']);

//Если id получен 
if(isset($_GET['iduser'])){
$iduser=num($_GET['iduser']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$iduser' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   }
}

$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php?iduser='.$iduser.'">К категориям</a> | <a href = "gifts.php?act=cat&id='.$cat['id'].'">'.$name_cat.'</a>';
echo '</div>';
echo '<div class="main_menu">';
if($user['id']) {
   if($u['money'] >= $gift['price']){
      if (isset($_POST['submit'])) {
	  $message = check(substr($_POST['message'], 0, 250));
	  mysql_query("UPDATE `users` SET `money` = '".($u['money']-$gift['price'])."' WHERE `id` = '".$u['id']."'");
      mysql_query("INSERT INTO `gifts_users` SET
      `user` = '".$user['id']."',
      `outuser` = '".$u['id']."',
	  `gift` = '".$gift['id']."',
	  `message` = '$message',
      `time` = '".time()."'
      ");
	  $id = mysql_insert_id();
	  //Записываем в журнал
         if($user['id'] != $u['id']){
            if($u['sex'] == 'm'){
               $action[0] = 'Подарил';
            } else {
               $action[0] = 'Подарила';
            }
            $text = $action[0].' Вам <a href = "gifts.php?act=view&id='.$id.'">подарок</a>.';
            mysql_query("INSERT INTO `jurnal` SET
            `user` = '".$user['id']."',
            `outuser` = '".$u['id']."',
            `text` = '$text',
            `time` = '".time()."',
            `new` = '1'
            ");
	     } 
	  
      echo '<div class = "action">Подарок пользователю <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a> успешно отправлен!</div>';
      } else {
      $name = checkout($category['name']);
	  echo 'Подарок для: <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a><hr>';
      echo '<img src = "gifts/'.$gift['id'].'.gif" width = "50"><br/>';
      echo '<img src = "img/money.gif"> Цена: '.$gift['price'].'';
      echo '<hr>';
      echo '<form action="gifts.php?act=ok&amp;id='.$id.'&amp;iduser='.$iduser.'" method="post">';
	  echo 'Сообщение:<br/><textarea cols="20" rows="2" name="message"></textarea><br/>';
      echo '<input type="submit" name="submit" value="Подарить" class="submit white"/>';
      echo '</form></div>';
      }
   } else {
   echo '<div class = "action">У вас не хватает денег на этот подарок!:(</div>'; 
   }
} else {
echo '<div class = "action">Не выбран получатель подарка! Нажмите "Подарить подарок" на странице пользователя, которому собираетесь дарить подарок!</div>'; 
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: gifts.php?iduser=$iduser");
}
break;

//Просмотр категории ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
case 'cat':
//Если id получен 
if(isset($_GET['id'])){
$id=num($_GET['id']);
$req = mysql_query("SELECT * FROM `gifts_cat` WHERE `id` = '$id' LIMIT 1");
   if (mysql_num_rows($req)) {
   $cat = mysql_fetch_assoc($req);
   }
}
//Если существует
if ($cat){

//Если id получен 
if(isset($_GET['iduser'])){
$iduser=num($_GET['iduser']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$iduser' LIMIT 1");
   if (mysql_num_rows($req)) {
   $user = mysql_fetch_assoc($req);
   }
}

$name_cat = checkout($cat['name']);
$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
if($u['admin'] == 1) echo '<div class="subtitle"><a href = "gifts.php?act=add_gift&id='.$cat['id'].'">Добавить подарок</a></div>';
echo '<div class="subtitle">';
echo '<a href = "gifts.php?iduser='.$iduser.'">К категориям</a> | <b>'.$name_cat.'</b>';
echo '</div>';
echo '<div class="main_menu">';
if($user['id']) echo 'Выберите подарок для пользователя <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a><hr>';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `gifts_list` WHERE `cat` = '".$cat['id']."'"), 0);
if($all > 0){
$total = intval(($all - 1) / 15) + 1;
$page = num($_GET['page']);
if(empty($page) or $page < 0) $page = 1; 
if($page > $total) $page = $total;
$start = $page * 15 - 15;
$result = mysql_query("SELECT * FROM `gifts_list` WHERE `cat` = '".$cat['id']."' ORDER BY `id` DESC LIMIT $start, 15");
   while($gift = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
      echo '<table>
      <tr>
      <td>';
	  echo '<a href = "gifts.php?act=ok&id='.$gift['id'].'&iduser='.$iduser.'"><img src = "gifts/'.$gift['id'].'.gif" width = "50"></a>';
	  echo '</td>
	  <td VALIGN=top>';
	  echo '<img src = "img/gifts.gif"> <a href = "gifts.php?act=ok&id='.$gift['id'].'&iduser='.$iduser.'">Подарить</a>';
	  echo '<br/>';
	  echo '<img src = "img/money.gif"> Цена: '.$gift['price'].'';
	  echo '<br/>';
	  if ($u['admin'] == 1) { echo ' <a href = "gifts.php?act=edit_gift&id='.$gift['id'].'"><img src = "img/edit.gif"></a> | <a href = "gifts.php?act=delete_gift_list&id='.$gift['id'].'"><img src = "img/delete.gif"></a>'; }
	  echo '</td>
      </tr>
      </table>';
	  echo '<hr>';
      echo '</div>';
	  $i++;
   } 
   navigation($page, $total,'gifts.php?act=cat&id='.$cat['id'].'&iduser='.$iduser.'&');
}else{
echo 'Подарков не найдено!';
}
echo '</div>';
include 'foot.php';
} else {
header ("Location: gifts.php?iduser=$iduser");
}
break;

//Категории подарков ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
default:

//Если id получен 
if(isset($_GET['iduser'])){
$iduser=num($_GET['iduser']);
$req = mysql_query("SELECT * FROM `users` WHERE `id` = '$iduser' LIMIT 1");
   if (mysql_num_rows($req)) {
      //if($iduser != $u['id']){
	  $user = mysql_fetch_assoc($req);
	  //}
   }
}

$title = $title.' | Подарки';
include 'head.php';
echo '<div class="title"><img src= "img/gifts.gif"> Подарки</div>';
if($u['admin'] == 1) echo '<div class="subtitle"><a href = "gifts.php?act=add_cat">Добавить категорию</a></div>';
echo '<div class="main_menu">';
if($user['id']) echo 'Выберите категорию подарка для пользователя <a href = "page.php?id='.$user['id'].'"><b>'.$user['login'].'</b></a><hr>';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `gifts_cat`"), 0);
if($all > 0){
$result = mysql_query("SELECT * FROM `gifts_cat` ORDER BY `ord` DESC");
   while($cat = mysql_fetch_assoc($result)){
	  //Вывод
	  echo $i % 2 ? '<div class="block2">' : '<div class="block1">';
	  $count = mysql_result(mysql_query("SELECT COUNT(*) FROM `gifts_list` WHERE `cat` = '".$cat['id']."'"), 0);
      $name = checkout($cat['name']);
      echo '<a href = "gifts.php?act=cat&id='.$cat['id'].'&iduser='.$iduser.'">'.$name.'</a> ('.$count.') '; if ($u['admin'] == 1) { echo '<a href = "gifts.php?act=edit_cat&id='.$cat['id'].'"><img src = "img/edit.gif"></a> | <a href = "gifts.php?act=delete_cat&id='.$cat['id'].'"><img src = "img/delete.gif"></a>'; }
      echo '<hr>';
      echo '</div>';
	  $i++;
   }  
}else{
echo 'Категорий не найдено!';
}
echo '</div>';
include 'foot.php';
break;
}
?>